.module-component-base .tag {
    color: var(--blue-100);
    padding: var(--spacing-8) var(--spacing-30);
    border-radius: var(--radius-20);
    background: var(--blue-100-10);
    width: fit-content;
}

.module-component-base .main {
    position: relative;
}

/* Пагинация */
.module-component-base .base-pagination {
    height: var(--pagination-height);
    width: 100%;
    transition: 0.4s ease;
}

.module-component-base .base-pagination .base-btns{
    width: calc(var(--btn-prev-width) + var(--btn-next-width) + 45px);
}

.module-component-base .base-pagination .base-btns .h-pagination-btn{
    position: absolute;
    transition: 0.4s ease !important;
}

.module-component-base .base-pagination .base-btns .h-pagination-btn:first-child{
    right: calc(var(--btn-next-width) + 45px);
}

.module-component-base .base-pagination .base-btns:has(.h-pagination-btn:last-child.hide) .h-pagination-btn:first-child{
    right: 0;
}

.module-component-base .base-pagination .base-btns .h-pagination-btn:last-child{
    right: 0;
}

.module-component-base .base-pagination button.big{
    border: 1px solid var(--text);
}

.module-component-base .base-pagination button.number,
.module-component-base .base-pagination .pagination-ellipsis{
    padding: var(--spacing-10);
    font: var(--font-numbers);
    color: var(--text-40);
}

.module-component-base .base-pagination button.active{
    color: var(--text);
}


/* Карточки */
.module-component-base .grid {
    min-height: var(--grid-height);
    transition: min-height 0.4s ease;
    width: 100%;
}



@media (max-width: 1023px) {
    .module-component-base [pc] {
        display: none;
    }

    .module-component-base .main {
        gap: 24px;
        align-items: flex-start;
    }

    .module-component-base .main .top {
        align-items: flex-start;
    }

    .module-component-base .main .top .h-gap-42,
    .module-component-base .main .top .h-gap-42 .h-search-input,
    .module-component-base .main .top .h-gap-42 .h-search-input .search-input {
        width: 100%;
    }

    .module-component-base .main .top .nav {
        gap: 0;
        align-items: flex-start;
    }



    .module-component-base .base-pagination {
        justify-content: center;
    }

    .module-component-base .base-pagination .h-base-btns{
        position: absolute;
        bottom: -60px;
        width: 100%;    
    }

    .module-component-base .base-pagination .h-base-btns .base-btns{
        gap: 12px;
        width: 100%;  
    }

    .module-component-base .base-pagination .h-base-btns .base-btns .h-pagination-btn{
        position: unset;
        width: 100%;
    }
    
    .module-component-base .base-pagination .h-base-btns .base-btns .h-pagination-btn button{
        padding: 15px 30px;
    }







    
}

@media (min-width: 1024px) {
    .module-component-base [mobile] {
        display: none;
    }
}